using BPASmartClient.Helper;
using Microsoft.Toolkit.Mvvm.Messaging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace BPASmartClient.DialogWindow
{
    /// <summary>
    /// NewShopWindow.xaml 的交互逻辑
    /// </summary>
    public partial class NewShopWindow : Window
    {
        public NewShopWindow()
        {
            InitializeComponent();
            this.MoveBorder.MouseLeftButtonDown += (o, e) =>
            {
                this.DragMove();
            };

            ActionManage.GetInstance.CancelRegister("CloseWindow");
            ActionManage.GetInstance.CancelRegister("OkCloseWindow");

            ActionManage.GetInstance.Register(new Action(() =>
            {
                App.Current.Dispatcher.Invoke(new Action(() =>
                {
                    this.DialogResult = false;
                    this.Close();
                }));
            }), "CloseWindow");

            ActionManage.GetInstance.Register(new Action(() =>
            {
                App.Current.Dispatcher.Invoke(new Action(() =>
                {
                    this.DialogResult = true;
                    this.Close();
                }));
            }), "OkCloseWindow");


        }


    }
}
